# TransactionAuthField | Stacks.js 1.4.1 Library Reference
Documentation for Stacks.js 1.4.1 Library Reference

### Hierarchy

- TransactionAuthField

## Index

### Properties

- contents
- pubKeyEncoding
- type

## Properties

### contents

contents: TransactionAuthFieldContents

- Defined in packages/transactions/src/authorization.ts:97

### pubKeyEncoding

pubKeyEncoding: PubKeyEncoding

- Defined in packages/transactions/src/authorization.ts:96

### type

type: TransactionAuthField

- Defined in packages/transactions/src/authorization.ts:95

Generated using TypeDoc